<?php


return  
    [
        'model' => [
            'model' => \Litecms\Memo\Models\Memo::class,
            'table' => 'litecms_memo_memos',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['building_id',  'listing_id',  'contact_id',  'vendor_id',  'ref',  'purpose',  'date',  'amount',  'payment_status',  'description',  'documents',  'user_is'],
            'translatables' => [],
            'upload_folder' => 'memo/memo',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "building_id", 
                "type" => "text", 
                "label" => 'memo::memo.label.building_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "listing_id", 
                "type" => "text", 
                "label" => 'memo::memo.label.listing_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_id", 
                "type" => "text", 
                "label" => 'memo::memo.label.contact_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "vendor_id", 
                "type" => "text", 
                "label" => 'memo::memo.label.vendor_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'memo::memo.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "purpose", 
                "type" => "text", 
                "label" => 'memo::memo.label.purpose', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "date", 
                "type" => "text", 
                "label" => 'memo::memo.label.date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "amount", 
                "type" => "text", 
                "label" => 'memo::memo.label.amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payment_status", 
                "type" => "text", 
                "label" => 'memo::memo.label.payment_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'memo::memo.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "documents", 
                "type" => "text", 
                "label" => 'memo::memo.label.documents', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "user_is", 
                "type" => "text", 
                "label" => 'memo::memo.label.user_is', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'building_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'memo::memo.label.building_id',
                "placeholder" => 'memo::memo.placeholder.building_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'listing_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'memo::memo.label.listing_id',
                "placeholder" => 'memo::memo.placeholder.listing_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'memo::memo.label.contact_id',
                "placeholder" => 'memo::memo.placeholder.contact_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'vendor_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'memo::memo.label.vendor_id',
                "placeholder" => 'memo::memo.placeholder.vendor_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'memo::memo.label.ref',
                "placeholder" => 'memo::memo.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'purpose',
                "element" => 'text',
                "type" => 'text',
                "label" => 'memo::memo.label.purpose',
                "placeholder" => 'memo::memo.placeholder.purpose',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'date',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'memo::memo.label.date',
                "placeholder" => 'memo::memo.placeholder.date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'memo::memo.label.amount',
                "placeholder" => 'memo::memo.placeholder.amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payment_status',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'memo::memo.label.payment_status',
                "placeholder" => 'memo::memo.placeholder.payment_status',
                "rules" => '',
                "options" => function(){
                    return trans('memo::memo.options.payment_status');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'memo::memo.label.description',
                "placeholder" => 'memo::memo.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'documents',
                "element" => 'text',
                "type" => 'text',
                "label" => 'memo::memo.label.documents',
                "placeholder" => 'memo::memo.placeholder.documents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'user_is',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'memo::memo.label.user_is',
                "placeholder" => 'memo::memo.placeholder.user_is',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'memo/memo/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'memo/memo/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'memo/memo',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'memo/memo',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'memo/memo',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'memo/memo',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'memo::memo.label.created_at',
            'name' => 'memo::memo.label.name',
            'status' => 'memo::memo.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "memo::memo.groups.main",
                'group' => "main.main",
                'title' => "memo::memo.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "memo::memo.groups.details",
                'group' => "main.details",
                'title' => "memo::memo.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "memo::memo.groups.images",
                'group' => "main.images",
                'title' => "memo::memo.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "memo::memo.groups.settings",
                'group' => "main.settings",
                'title' => "memo::memo.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Memo',
            'module' => 'Memo',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Litecms\Memo\Models\Memo::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'memo::memo.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['memo.memo.copy', 'memo.memo.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'memo::memo.label.count',
                        "placeholder" => 'memo::memo.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'memo::memo.label.comment',
                        "placeholder" => 'memo::memo.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'memo::memo.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'memo::memo.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
