<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsMemoMemosTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_memo_memos
         */
        Schema::create('litecms_memo_memos', function ($table) {
            $table->increments('id');
            $table->integer('building_id')->nullable();
            $table->integer('listing_id')->nullable();
            $table->integer('contact_id')->nullable();
            $table->integer('vendor_id')->nullable();
            $table->string('ref', 100)->nullable();
            $table->string('purpose', 100)->nullable();
            $table->dateTime('date')->nullable();
            $table->decimal('amount', 12,3)->nullable();
            $table->enum('payment_status', ['Yes', 'No'])->nullable();
            $table->text('description')->nullable();
            $table->text('documents')->nullable();
            $table->integer('user_is')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_memo_memos');
    }
}
