<?php

namespace Litecms\Memo\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class MemoTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_memo_memos')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.memo.memo.view',
                'name'      => 'View Memo',
            ],
            [
                'slug'      => 'litecms.memo.memo.create',
                'name'      => 'Create Memo',
            ],
            [
                'slug'      => 'litecms.memo.memo.edit',
                'name'      => 'Update Memo',
            ],
            [
                'slug'      => 'litecms.memo.memo.delete',
                'name'      => 'Delete Memo',
            ],
            
                        [
                'slug'      => 'litecms.memo.memo.verify',
                'name'      => 'Verify Memo',
            ],
            [
                'slug'      => 'litecms.memo.memo.approve',
                'name'      => 'Approve Memo',
            ],
            [
                'slug'      => 'litecms.memo.memo.publish',
                'name'      => 'Publish Memo',
            ],
            [
                'slug'      => 'litecms.memo.memo.unpublish',
                'name'      => 'Unpublish Memo',
            ],
            [
                'slug'      => 'litecms.memo.memo.cancel',
                'name'      => 'Cancel Memo',
            ],
            [
                'slug'      => 'litecms.memo.memo.archive',
                'name'      => 'Archive Memo',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/memo/memo',
                'name'        => 'Memo',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/memo/memo',
                'name'        => 'Memo',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'memo',
                'name'        => 'Memo',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Memo',
                'module'    => 'Memo',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.memo.memo.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
