<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for memo in memo package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  memo module in memo package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Memo',
    'names' => 'Memos',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Memos',
        'sub' => 'Memos'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'payment_status' => 
            [
                                
                [
                    'key'    => 'Paid',
                    'value'  => 'Paid',
                    'text'   => 'Paid',
                ],
                                
                [
                    'key'    => 'Unpaid',
                    'value'  => 'Unpaid',
                    'text'   => 'Unpaid',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'building_id'                => 'Please enter building id',
        'listing_id'                 => 'Please enter listing id',
        'contact_id'                 => 'Please enter contact id',
        'vendor_id'                  => 'Please enter vendor id',
        'ref'                        => 'Please enter ref',
        'purpose'                    => 'Please enter purpose',
        'date'                       => 'Please select date',
        'amount'                     => 'Please enter amount',
        'payment_status'             => 'Please select payment status',
        'description'                => 'Please enter description',
        'documents'                  => 'Please enter documents',
        'user_is'                    => 'Please enter user is',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'building_id'                => 'Building id',
        'listing_id'                 => 'Listing id',
        'contact_id'                 => 'Contact id',
        'vendor_id'                  => 'Vendor id',
        'ref'                        => 'Ref',
        'purpose'                    => 'Purpose',
        'date'                       => 'Date',
        'amount'                     => 'Amount',
        'payment_status'             => 'Payment status',
        'description'                => 'Description',
        'documents'                  => 'Documents',
        'user_is'                    => 'User is',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
