<?php

namespace Litecms\Memo\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Memo\Models\Memo;


class MemoAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.memo.memo';
    protected $eventClass = \Litecms\Memo\Events\MemoAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Memo $memo, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $memo;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Memo $memo, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $memo = $memo->create($attributes);
        return $memo;
    }

    public function update(Memo $memo, array $request)
    {
        $attributes = $request;
        $memo->update($attributes);
        return $memo;
    }

    public function destroy(Memo $memo, array $request)
    {
        $memo->delete();
        return $memo;
    }

    public function copy(Memo $memo, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $memo = $memo->replicate();
            $memo->created_at = Carbon::now();
            $memo->save();
            return $memo;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $memo->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $memo;
    }


}
