<?php

namespace Litecms\Memo\Policies;

use Litecms\Memo\Models\Memo;
use Litepie\User\Interfaces\UserPolicyInterface;

trait MemoAction
{

    /**
     * Determine if the given user can approve the given memo.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function copy(UserPolicyInterface $authUser, Memo $memo)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('memo.memo.action.copy')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given memo.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    function empty(UserPolicyInterface $authUser, Memo $memo) {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('memo.memo.action.empty')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given memo.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function transfer(UserPolicyInterface $authUser, Memo $memo)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('memo.memo.action.transfer')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given memo.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function delete(UserPolicyInterface $authUser, Memo $memo)
    {


        if ($authUser->canDo('memo.memo.action.delete')) {
            return true;
        }

        return false;
    }


}
