<?php


namespace Litecms\Memo\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait MemoReport
{

    /**
     * Determine if the given user can approve the given memo.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('memo.memo.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given memo.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('memo.memo.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given memo.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('memo.memo.report.download')) {
            return true;
        }

        return false;
    }
}
