<?php

namespace Litecms\Memo\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Litecms\Memo\Events\MemoAction;
use Litecms\Memo\Events\MemoWorkflow;
use Litecms\Memo\Listeners\MemoAction as MemoActionListener;
use Litecms\Memo\Listeners\MemoWorkflow as MemoWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        MemoAction::class => [
            MemoActionListener::class,
        ],
        MemoWorkflow::class => [
            MemoWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
